Cosmos 3 Super
統合
モデルID
nvidia/cosmos-3-super/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/cosmos-3-super/text-to-image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nvidia/cosmos-3-super/text-to-image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nvidia/cosmos-3-super/text-to-image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "nvidia/cosmos-3-super/text-to-image",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Doitong APIを通じてCosmos 3 Superモデル(nvidia/cosmos-3-super/text-to-image)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/nvidia/cosmos-3-super/text-to-image.md
POST https://api.doitong.ru/v1/run/nvidia/cosmos-3-super/text-to-image?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.ru/v1/quote/nvidia/cosmos-3-super/text-to-imageを実行すると、実行前の正確な価格が返されます。
例と同様のファイル: $0.04 40 APIクレジット · ≈ ₽4.30 実行前にファイルを計測します このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/nvidia/cosmos-3-super/text-to-image?wait=20
見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/cosmos-3-super/text-to-image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nvidia/cosmos-3-super/text-to-image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nvidia/cosmos-3-super/text-to-image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "nvidia/cosmos-3-super/text-to-image",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Cosmos 3 Superについて
最大4096文字の `prompt` から1~4枚の画像を生成します。`image_size` の辺は512~1280 pxに制限されます。`enable_agentic_generation` は複数の候補を生成し、ラウンド間でプロンプトを改善します(最大3反復)。`negative_prompt`、最大20の `guidance_scale`、最大50の `num_inference_steps`、jpegまたはpng出力にも対応します。
パラメータ
正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称
名前型
デフォルト許可される値
説明
prompt必須
型string
≤ 4,096文字
目的の出力画像のテキスト説明。
negative_prompt任意
型string
デフォルト
≤ 1,024文字
生成で避ける不要な色、物体、アーティファクトを指定するネガティブガイダンス。
enable_prompt_expansion任意
型boolean
デフォルトfalse
OpenRouterによる生成前のプロンプト強化。有効にすると、Cosmos3の学習に使われる密な構造化JSON表現を生成します。強化に失敗した場合、変更前のプロンプトで画像生成を続行します。
enable_agentic_generation任意
型boolean
デフォルトfalse
元のリクエストへの適合度を高める自動プロンプト改善ループ。各ラウンドで複数の画像候補を生成して比較し、ラウンド間でプロンプトを修正します。
agentic_max_iterations任意
型integer
デフォルト2
1 – 3
エージェントモードを有効にした生成の改善ラウンド数の上限。
agentic_samples_per_iteration任意
型integer
デフォルト2
1 – 3
エージェント型ループの反復ごとの画像候補数。評価で競合する画像数を決め、最良の候補がプロンプト書き換えに進みます。
agentic_early_stop任意
型boolean
デフォルトtrue
画像とプロンプトの強い一致を、追加の反復なしで完了するのに十分とみなす早期終了制御。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
出力画像の寸法を設定します。クランプにより各辺は512~1280pxとなり、辺の長さは16の倍数に制限されます。
num_inference_steps任意
型integer
デフォルト28
1 – 50
デノイズステップ数。値を大きくすると処理時間が延びる一方、品質が向上します。
guidance_scale任意
型number
デフォルト4
0 – 20
classifier-free guidanceの強度。
num_images任意
num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
seed任意
型integer | null
再現可能な画像生成のシード。シード、プロンプト、モデルバージョンが変わらない限り、実行間で出力画像は変わりません。
enable_safety_checker任意
型boolean
デフォルトtrue
プロンプト入力と画像出力の両方を対象とするコンテンツモデレーションスイッチ。モデレーションを回避するにはアカウントの認証が必要です。そうでなければ、この設定にかかわらずチェックは必須です。安全でないと判定された画像は黒い画像に置き換えられます。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
必須
正式名称(こちらも使用可能)
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "nvidia/cosmos-3-super/text-to-image",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"seed": 42,
"has_nsfw_concepts": [
false
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- images
- array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
- seed
- integer生成時に適用したシード値。
- has_nsfw_concepts
- array of boolean生成された各画像の安全性チェッカーのフラグ状態。
その他のCosmos 3 Superバリアント
その他のモデル: テキストから画像
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/nvidia/cosmos-3-super/text-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt







